> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Skill API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/contact-center/api-list)</Badge>

Use this API to add a skill with the given stream ID and skill group ID.

| **Method**        | POST                                                                                                                           |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------ |
| **Endpoint**      | `https://{{host}}/agentassist/api/v1/public/{{streamId}}/skill-groups/{{skillGroupId}}/skills`                                 |
| **Content-Type**  | `application/json`                                                                                                             |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction#generating-the-jwt-token) |
| **API Scope**     | SmartAssist Analytics                                                                                                          |

## Path Parameters

| **Parameter**  | **Description**                                                             | **Type**         |
| -------------- | --------------------------------------------------------------------------- | ---------------- |
| `host`         | Environment URL, for example, `https://platform.kore.ai`                    | string, required |
| `BotId`        | BotId or StreamId. You can access it from the App Settings page of the bot. | string, required |
| `skillGroupId` | ID of the skill group.                                                      | string, required |

## Sample Request

```
curl --location --request POST \
     'https://{{host}}/agentassist/api/v1/public/{{streamId}}/skill-groups/{{skillGroupId}}/skills' \
      --header 'auth: {jwt-code}' \
      --header 'Content-Type: application/json' \
      --data-raw '
    {
    "name": "test",
    "description": "test",
    "agents": [
        {
            "userId": "u-ca2cc57f-5c2b-5437-bb07-fe9020d8xxxx",
            "proficiencyLevel": "average",
            "aId":""
        }
     ]
    }'
```

## Body Parameters

| **Parameter**      | **Description**                                                                                                                           | **Type**         |
| ------------------ | ----------------------------------------------------------------------------------------------------------------------------------------- | ---------------- |
| `name`             | Name of the skill.                                                                                                                        | string, required |
| `description`      | Brief description of the skill, up to 200 characters.                                                                                     | string, optional |
| `skillGroupId`     | ID of the skill group. Find this with [GET /skill-groups](/ai-for-service/apis/contact-center/get-a-skill-group). For example, `sg-4372`. | string, required |
| `agents`           | An array of agent objects with the following details.                                                                                     | array, optional  |
| `userId`           | User ID. Find this with [GET /agents](/ai-for-service/apis/contact-center/list-all-agents).                                               | string, optional |
| `proficiencyLevel` | Proficiency level. Values: `expert`, `novice`, `average`, `good`.                                                                         | string, optional |

## Sample Response

```
{
    "id": "sk-87679",
    "name": "Account Management",
    "description": "Manage Account and its Settings",
    "agents": 15,
    "skillGroupId": "sg-4372"
}
```
